gi-gdkpixbuf-2.0.32: GdkPixbuf bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkPixbuf.Objects.PixbufSimpleAnimIter

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype PixbufSimpleAnimIter = PixbufSimpleAnimIter (ManagedPtr PixbufSimpleAnimIter)
- class (GObject o, IsDescendantOf PixbufSimpleAnimIter o) => IsPixbufSimpleAnimIter o
- toPixbufSimpleAnimIter :: (MonadIO m, IsPixbufSimpleAnimIter o) => o -> m PixbufSimpleAnimIter

# Exported types

newtype PixbufSimpleAnimIter Source #

Memory-managed wrapper type.

Constructors

PixbufSimpleAnimIter (ManagedPtr PixbufSimpleAnimIter) |

#### Instances

Instances details

Eq PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter Methods (==) :: PixbufSimpleAnimIter -> PixbufSimpleAnimIter -> Bool Source # (/=) :: PixbufSimpleAnimIter -> PixbufSimpleAnimIter -> Bool Source #
GObject PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter
ManagedPtrNewtype PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter Methods toManagedPtr :: PixbufSimpleAnimIter -> ManagedPtr PixbufSimpleAnimIter Source #
TypedObject PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter Methods glibType :: IO GType Source #
HasParentTypes PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter
IsGValue (Maybe PixbufSimpleAnimIter) Source # | Convert `PixbufSimpleAnimIter` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PixbufSimpleAnimIter -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PixbufSimpleAnimIter) Source #
type ParentTypes PixbufSimpleAnimIter Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter type ParentTypes PixbufSimpleAnimIter = '[PixbufAnimationIter, Object]

class (GObject o, IsDescendantOf PixbufSimpleAnimIter o) => IsPixbufSimpleAnimIter o Source #

Type class for types which can be safely cast to `PixbufSimpleAnimIter`, for instance with `toPixbufSimpleAnimIter`.

#### Instances

Instances details

(GObject o, IsDescendantOf PixbufSimpleAnimIter o) => IsPixbufSimpleAnimIter o Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufSimpleAnimIter

toPixbufSimpleAnimIter :: (MonadIO m, IsPixbufSimpleAnimIter o) => o -> m PixbufSimpleAnimIter Source #

Cast to `PixbufSimpleAnimIter`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

advance, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, onCurrentlyLoadingFrame, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getDelayTime, getPixbuf, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.